<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>TIOVX Release Notes</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="docs/relnotes_archive/tilogo.gif"></a></td>
  <td bgcolor="red"><img src="docs/relnotes_archive/titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.5.1-p1 -->
<h1 align='center'><a name='XDC_TOP'></a>TIOVX Release Notes</h1>
<h2 align='center'>Version: 01.00.00.00</h2>
<p>
<hr>
<p>
<h2><a class="anchor" name="Contents"></a>Contents</h2>
<p>
<ol>
<li>
<a href="#Introduction">Introduction</a> </li>
<li>
<a href="#Licensing">Licensing</a> </li>
<li>
<a href="#Starting">Getting Started</a> </li>
<li>
<a href="#Documentation">Documentation</a> </li>
<li>
<a href="#Whats_New">What's New</a> </li>
<li>
<a href="#Compatibility">Upgrade and Compatibility Information</a> </li>
<li>
<a href="#Device_Support">Device Support</a> </li>
<li>
<a href="#Validation">Validation Information</a> </li>
<li>
<a href="#Known_Issues">Known Issues</a> </li>
<li>
<a href="#Support">Technical Support</a> </li>
<li>
<a href="#Versioning">Package Versioning</a> </li>
</ol>
<p>
<hr>
<p>
<h2><a class="anchor" name="Introduction"></a>Introduction</h2>
<p>
The TIOVX package consists of the Texas Instruments OpenVX conformant implementation.<p>
<hr>
<p>
<h2><a class="anchor" name="Licensing"></a>Licensing</h2>
<p>
The licensing information of this library, as well as any third-party components included which are made available under a number of other open-source licenses are enumerated as part of the manifest. A complete manifest along with export control information is detailed here <a href="./docs/manifest/TIOVX_manifest.html" target="_blank">[HTML]</a>.<p>
<hr>
<p>
<h2><a class="anchor" name="Starting"></a>Getting Started</h2>
<p>
The TIOVX User Guide <a href="./docs/user_guide/index.html" target="_blank">[HTML]</a> provides the documentation and references necessary to begin development on TI's platforms using TIOVX.<p>
<hr>
<p>
<h2><a class="anchor" name="Documentation"></a>Documentation</h2>
<p>
Refer to following documentation for further details:<p>
<table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr>
<td valign="top"><b>TIOVX User Guide</b> </td>
<td valign="top"> <b> Build instructions, API Guide</b> </td>
<td align="center"><a href="./docs/user_guide/index.html" target="_blank">[HTML]</a><br></td>
</tr>
<tr>
<td valign="top"><b>TIOVX Tutorial Guide</b> </td>
<td valign="top"> <b> Step by step tutorials to get started with OpenVX and TIOVX</b> </td>
<td align="center"><a href="./docs/tutorial_guide/index.html" target="_blank">[HTML]</a><br></td>
</tr>
<tr>
<td valign="top"><b>PyTIOVX User Guide</b> </td>
<td valign="top"><b>OpenVX application code generator tool</b> </td>
<td align="center"><a href="./docs/pytiovx_guide/index.html" target="_blank">[HTML]</a><br></td>
</tr>
<tr>
<td valign="top"><b>Test Reports</b></td>
<td valign="top"><b>Misra C reports, conformance test reports, TI platform test reports</b> </td>
<td align="center"><a href="./docs/test_reports/" target="_blank">[FOLDER]</a><br></td></tr>
<tr>
<td valign="top"><b>Software Manifest</b> </td>
<td valign="top"><b>Licenses, terms of use</b> </td>
<td align="center"><a href="./docs/manifest/TIOVX_manifest.html" target="_blank">[HTML]</a><br></td>
</tr>
</table>
<p>
<hr>
<p>
<h2><a class="anchor" name="Whats_New"></a>What's New</h2>
<p>
<p>
This is the first release of TIOVX. Here are a few of the features supported in this release: <ol>
<li>
Conformant to OpenVX 1.1 Specification </li>
<li>
DMA acceleration through BAM wrapper </li>
<li>
Sample EVE iVision kernel integration</li>
<li>
Sample Vision SDK camera/display use-case integration</li>
<li>
OpenVX tutorial to get started on TIOVX development</li>
<li>
Python-based tool for generating OpenVX code </li>
</ol>
<p>
<p>
<hr>
<p>
<h2><a class="anchor" name="Compatibility"></a>Upgrade and Compatibility Information</h2>
<p>
This is the first version of <b>TIOVX</b>.<p>
<p>
<hr>
<p>
<h2><a class="anchor" name="Device_Support"></a>Device Support</h2>

<table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr bgcolor="lightgrey">
<td align="center"> <b>SoC</b> </td>
<td align="center"><b>HOST (OS)</b></td>
<td align="center"><b>Target (OS)</b></td>
<td align="center"><b>Test Plaform</b></td>
</tr>

<tr>
<td align="center"> TDA2x </td> <td align="center"> ARM M4 (BIOS) </td>
<td align="center"> DSP C66x (BIOS) <br> EVE (BIOS) <br> ARM A15 (BIOS) <br> ARM M4 (BIOS)</td>
<td align="center"> TDA2x TI EVM</td>
</tr>

<tr>
<td align="center"> TDA2x </td> <td align="center"> ARM A15 (Linux) </td>
<td align="center"> DSP C66x (BIOS) <br> EVE (BIOS) <br> ARM A15 (Linux) <br> ARM M4 (BIOS)</td>
<td align="center"> TDA2x TI EVM</td>
</tr>

<tr>
<td align="center"> TDA2Ex </td> <td align="center"> ARM M4 (BIOS) </td>
<td align="center"> DSP C66x (BIOS) <br> ARM A15 (BIOS) <br> ARM M4 (BIOS)</td>
<td align="center"> TDA2Ex TI EVM</td>
</tr>

<tr>
<td align="center"> TDA2Ex </td> <td align="center"> ARM A15 (Linux) </td>
<td align="center"> DSP C66x (BIOS) <br> ARM A15 (Linux) <br> ARM M4 (BIOS)</td>
<td align="center"> TDA2Ex TI EVM</td>
</tr>

<tr>
<td align="center"> TDA3x </td> <td align="center"> ARM M4 (BIOS) </td>
<td align="center"> DSP C66x (BIOS) <br> EVE (BIOS) <br> ARM M4 (BIOS)</td>
<td align="center"> TDA3x TI EVM</td>
</tr>

</table>
<hr>
<p>
<h2><a class="anchor" name="Validation"></a>Validation Information</h2>
<p>
This release was built and validated using the following tools:<p>
<p>
Build Tools (included in Vision SDK):<p>
<ul>
<li>
C6000 Code Generation Tools version: 7.4.2 </li>
<li>
ARP32 Code Generation Tools version: 1.0.7 </li>
<li>
TI ARM Code Generation Tools version: 16.9.2 </li>
<li>
XDC version: 3.32.01.22 </li>
<li>
GNU make version: 3.81 (included as a part of XDC)</li>
</ul>
<p>
Build Tools (NOT included in Vision SDK, needs to be downloaded separately):<p>
<ul>
<li>
<a class="el" href="https://launchpad.net/gcc-arm-embedded/+milestone/4.9-2015-q3-update" target="_blank">ARM GCC (used for A15 Bios) version: 4.9 2015q3</a> </li>
<li>
<a class="el" href="http://releases.linaro.org/components/toolchain/gcc-linaro/5.3-2016.02/" target="_blank">ARM GCC Linaro (used for A15 Linux) version: 5.3 2016</a> </li>
</ul>
<p>
Dependencies (included in Vision SDK):<p>
<ul>
<li>
EDMA3 LLD version: 2.12.00.20 </li>
<li>
DMA Utils version: 00.08.00.02 </li>
<li>
Algframework version: 02.07.00.00 </li>
<li>
PDK version: 1.07.00 </li>
<li>
VXLIB version: 1.1.0.0 </li>
<li>
XDAIS version: 7.24.00.04 </li>
<li>
EVE SW version: 1.16.0.0 </li>
<li>
BIOS version: 6.46.04.53 </li>
<li>
Vision SDK version: 3.0.0.0 </li>
</ul>
<hr>
<p>
<h2><a class="anchor" name="Known_Issues"></a>Known Issues</h2>
<p>
<ol>
<li>
VXLIB-371: Multiply iS16 iS16 oS16 with 1/255 as scaling factor fails for X86 target </li>
<li>
TIOVX-24: Harris Corners test case 206 fails for TDA2 BIOS build when running entire test suite </li>
</ol>
<p>
<hr>
<p>
<h2><a class="anchor" name="Support"></a>Technical Support</h2>
<p>
For technical support, please post your questions on <a class="el" href="https://e2e.ti.com/support/arm/automotive_processors/f/1021" target="_blank">TI E2E Forum for Automotive ADAS SoCs</a>.<p>
<p>
For additional assistance, contact local TI Field Application Engineer <p>
<hr>
<p>
<h2><a class="anchor" name="Versioning"></a>Package Versioning</h2>
<p>
Each package version is composed of 4 period-delimited numbers - represented here by the letters M, m, p and b <code><b>[M.m.p.b]</b></code>. The table below provides a descriptive reference regarding package version numbering.<p>
<table rules="all" frame="box" cellspacing="4" cellpadding="4" frame="void" width="80%" border="1">
<tr valign="top" bgcolor="#cccccc">
<th width="10%">Digit  </th><th width="20%">Meaning  </th><th width="70%">Description   </th></tr>
<tr valign="top">
<td>1&nbsp;(<b>M</b>=Major) </td><td>Major revision </td><td>Incremented when the new version is substantially different from the previous For example, a new module added or an existing module's algorithm significantly altered.   </td></tr>
<tr valign="top">
<td>2&nbsp;(<b>m</b>=minor) </td><td>Minor revision </td><td>Incremented when the new version has changed but not in a major way. For example, some minor changes in the API or feature set.   </td></tr>
<tr valign="top">
<td>3&nbsp;(<b>p</b>=patch) </td><td>Patch number </td><td>Incremented for all other source code changes. This include any packaging support code.   </td></tr>
<tr valign="top">
<td>4&nbsp;(<b>b</b>=build) </td><td>Build number </td><td>Incremented for each release delivery to CM. Reset for any change to M, m or p  </td></tr>
</table>
<hr size="1"><small>
Copyright  2017, Texas Instruments Incorporated</small>
</body>
</html>
